# $Revision: 1.31.2.5 $, $Date: 2004/02/19 10:22:18 $
Summary:	Collection of MIME handling utilities
Summary(de):	Sammlung von MIME-Behandlungs-Utilities
Summary(fr):	Ensemble d'utilitaires de gestion MIME
Summary(pl):	Zestaw narzdzi do obsugi standardu MIME
Summary(tr):	MIME ileme aralar
Name:		metamail
Version:	2.7
Release:	34
License:	distributable
Group:		Applications/Mail
Source0:	ftp://thumper.bellcore.com/pub/nsb/mm%{version}.tar.Z
# Source0-md5:	fd5617ea87e20d7f2fa839e1d1fede60
Source1:	%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	0ad0e591d536bc4e0d5ae97514ee6cc4
Source2:	htmlview
Patch0:		%{name}-make.patch
Patch1:		%{name}-fonts.patch
Patch2:		%{name}-glibc.patch
Patch3:		%{name}-csh.patch
Patch4:		%{name}-uudecode.patch
Patch5:		%{name}-sunquote.patch
Patch6:		%{name}-tmpfile.patch
Patch7:		%{name}-ohnonotagain.patch
Patch8:		%{name}-arghhh.patch
Patch9:		%{name}-ncurses.patch
Patch10:	%{name}-nl.patch
Patch11:	%{name}-linux.patch
Patch12:	%{name}-fixawk.patch
Patch13:	%{name}-fixpartial.patch
Patch14:	%{name}-usesox.patch
Patch15:	%{name}-security.patch
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	XFree86
Requires:	mktemp
Requires:	sharutils
Requires:	/usr/lib/sendmail
Provides:	htmlview
Obsoletes:	htmlview
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_fontdir	%{_libdir}/metamail/fonts

%description
Metamail is an implementation of MIME, the Multipurpose Internet Mail
Extensions, a proposed standard for multimedia mail on the Internet.
Metamail implements MIME, and also implements extensibility and
configuration via the "mailcap" mechanism described in an
informational RFC that is a companion to the MIME document.

%description -l pl
Metamail obsuguje standard MIME (rozszerzenie poczty internetowej dla
rnych celw) uywany do przesyania poczt plikw multimedialnych.
MIME jest te wykorzystywany do kodowania znakw narodowych w listach
i artykuach news.

%prep
%setup -q -n mm%{version}
%patch0  -p1
%patch1  -p1
%patch2  -p1
%patch3  -p1
%patch4  -p1
%patch5  -p1
%patch7  -p1
%patch8  -p1
%patch9  -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%build
cd src
%{__make} basics

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_fontdir},%{_mandir}/man1}

cd src
%{__make} install-all INSTROOT=$RPM_BUILD_ROOT%{_prefix} \
	MAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	MAN4DIR=$RPM_BUILD_ROOT%{_mandir}/man4

install fonts/*.pcf 	  $RPM_BUILD_ROOT%{_fontdir}
install fonts/fonts.alias $RPM_BUILD_ROOT%{_fontdir}
bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}
mkfontdir $RPM_BUILD_ROOT%{_fontdir}

rm -f $RPM_BUILD_ROOT%{_bindir}/*.orig
rm -f $RPM_BUILD_ROOT%{_bindir}/*~

ln -f $RPM_BUILD_ROOT%{_bindir}/mmencode $RPM_BUILD_ROOT%{_bindir}/mimencode

gzip -9nf README CREDITS mailers.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc src/{README,CREDITS,mailers.txt}.gz

%attr(755,root,root) %{_bindir}/*

%{_libdir}/metamail
%{_mandir}/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: metamail.spec,v $
Revision 1.31.2.5  2004/02/19 10:22:18  ankry
- rel. 34; 32-33 are in ac

Revision 1.31.2.4  2004/02/19 10:20:55  ankry
- md5

Revision 1.31.2.3  2004/02/19 08:23:07  jajcus
- Release: 32
- important security fixes (http://www.securityfocus.com/archive/1/354362)

Revision 1.31.2.2  2004/01/29 09:39:33  ankry
- fixed src URL, added md5

Revision 1.31.2.1  2003/07/11 12:01:56  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.31  2002/11/12 14:27:46  undefine
- release 31 to rebuild with fixed htmlview(fixed path to more)
- stbr

Revision 1.30  2002/03/15 06:45:13  ankry
- Provides/Obsoletes htmlview, stbr

Revision 1.29  2002/03/13 22:38:26  ankry
- added htmlview - modified RH script
- release 30

Revision 1.28  2002/02/23 03:44:48  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:13:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/11/24 20:54:33  juandon
- added missing %lang(fi) and %lang(pl) for man pages

Revision 1.24  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.23  2001/10/16 23:35:52  ankry
- fixed man-pages unpacking

Revision 1.22  2001/10/16 07:26:20  ankry
- added fi, pl man pages
- release 29

Revision 1.21  2001/06/27 16:12:32  qboosh
- BuildRequires: XFree86 (because of mkfontdir)
- mimencode=mmencode - use hardlink instead of duplicated binary
- release 28

Revision 1.20  2001/02/10 05:10:58  kloczek
- release 27,
- merge rawhide patches: usesox, fixpartial, fixawk (in this patch use
  /bin/awk instead /bin/gawk).

Revision 1.19  2000/11/06 08:27:25  kloczek
- release 26,
- merge linux patch from RH,
- use bew rpm automation.

Revision 1.18  2000/07/13 23:14:55  baggins
- release 24
- rebuild with ncurses 5.1

Revision 1.17  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/05/31 12:46:32  kloczek
- spec adapterized.

Revision 1.15  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.13  1999/11/19 02:53:17  kloczek
- release 23 (in rawhide is 22),
- added nl patch with security fix (from rawhide),
- added Requires: /usr/lib/sendmail (FHS 2.0 tels that this file is link to
  sendmail or any command line compliant MTA),
- reformated text in %description.

Revision 1.12  1999/11/19 01:05:39  pius
- added pl Summary & Group
- added stripping binaries
- added using more rpm macros
- other minor changes
- release++

Revision 1.11  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.10  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Oct 17 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.7-19]
- added removing $RPM_BUILD_ROOT%{_bindir}/*.orig in %install,
- removed -b <sufix> from all %patch,
- added mm-ncurses.patch patch for compiling mm against libncurses.

* Tue Sep 01 1998 Marcin Korzonek <mkorz@shadow.eu.org>
- added pl translation,
- allow building from non-root account.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue Jun 23 1998 Alan Cox <alan@redhat.com>
- Here we go again. One more quoting issue.

* Mon Jun 22 1998 Alan Cox <alan@redhat.com>
- If you want to know how not to write secure software
  then metamail is a good worked example. Mind you to
  be fair the original author wrote it as a prototype
  MIME tool and it stuck. Anyway it might actually be
  safe now. More from the Linux Security Audit Project.

* Tue Jun 16 1998 Alan Cox <alan@redhat.com>
- Round and round the tmp fixes go
  Where they stop nobody knows
- More holes in metamail fixed - (Linux Security Audit Project)

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue May 19 1998 Alan Cox <alan@redhat.com>
- Fixed the quoting bug in sun mail handling noted by Chris Evans and
  a while back via bugtraq.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- added security fix for uudecode
- requires mktemp, sharutils

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Added security patch from Olaf for csh escapes.
